PlainObjectMetaMethodSite (Groovy 5.1.0)
Description: declaration: package: org.codehaus.groovy.runtime.callsite, class: PlainObjectMetaMethodSite

Package org.codehaus.groovy.runtime.callsite

# Class PlainObjectMetaMethodSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.MetaMethodSite
org.codehaus.groovy.runtime.callsite.PlainObjectMetaMethodSite

All Implemented Interfaces:
  `CallSite`

Direct Known Subclasses:
  `PogoMetaMethodSite`, `PojoMetaMethodSite`

public abstract class PlainObjectMetaMethodSite extends MetaMethodSite
Plain ordinary object call site metaclass - cached method - cached

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

  `params`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainObjectMetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, Class[] params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static Object`
  `doInvoke(Object receiver, Object[] args, Method reflect)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlainObjectMetaMethodSite

    public PlainObjectMetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, Class[] params)

- ## Method Details

  - ### doInvoke

    protected static Object doInvoke(Object receiver, Object[] args, Method reflect) throws Throwable
    Throws:
      `Throwable`